Page MenuHomePhabricator

No indication that a collection is private or hidden on the list itself
Closed, ResolvedPublic

Description

When I go to a private collection that I own e.g. http://localhost:8888/w/index.php/Special:Gather/Jdlrobson/18 I see no indication whether it is private or hidden.

Details

Related Gerrit Patches:
mediawiki/extensions/Gather : masterAdd a tag showing privacy status

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task to In Analysis on the Gather Sprint Diplodocus board.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 24 2015, 11:41 PM
Jdlrobson renamed this task from No indication that a collection is private or hidden to No indication that a collection is private or hidden on the list itself.Mar 25 2015, 12:26 AM
Jdlrobson set Security to None.
Jdlrobson moved this task from Needs triage to In sprint on the Gather board.
Jdlrobson added a subscriber: MSyed.

@MSyed to provide mock

MSyed added a comment.EditedApr 4 2015, 12:03 AM

Here it is...

@Jdlrobson

Jdlrobson moved this task from Ready for dev to In development on the Gather Sprint Enwiki board.

@MSyed this is a hell of a lot easier if I stick it below the title. I'll do that for the time being. If you really need it above, as stupid as this sounds, that's not so easy and gonna need estimation... :-S

Change 202287 had a related patch set uploaded (by Jdlrobson):
WIP: Add a tag showing privacy status

https://gerrit.wikimedia.org/r/202287

Jdlrobson renamed this task from No indication that a collection is private or hidden on the list itself to [Blocked] No indication that a collection is private or hidden on the list itself.Apr 7 2015, 12:12 AM

There must be a way to do https://gerrit.wikimedia.org/r/202636 in a nicer way.

@Jdlrobson I've been investigating about not showing the header html if there was no title, but then the <title> is empty too, so nothing there.

Left you a comment on the mobilefrontend patch.

Jdlrobson renamed this task from [Blocked] No indication that a collection is private or hidden on the list itself to No indication that a collection is private or hidden on the list itself.Apr 9 2015, 6:48 PM

@Florian has made this possible :D

@MSyed @Jdlrobson Isn't the title of the collection more important? Seems like tags could easily go under last modified and be gray or off-white. Even matt-black would be better than straight up #000 IMO

@rmoen design can be iterated on. I think showing that a person's list has been hidden or is private/public takes greater important right now as we are not making that clear and people may be creating public lists unintentionally.

@Jdlrobson I agree it is important to have this indicator. I'm fine with making it look better later.

Change 202287 merged by jenkins-bot:
Add a tag showing privacy status

https://gerrit.wikimedia.org/r/202287

@rmoen and @Jdlrobson, had talked to @MSyed about this earlier in the week. He is working on an improvement now, that will be captured in this ticket: T95639

@MSyed says this tag shouldn't show on public lists.

JKatzWMF closed this task as Resolved.Apr 11 2015, 12:41 AM
JKatzWMF moved this task from Ready for signoff to Done on the Gather Sprint Enwiki board.

@JKatzWMF wanted the indicators to be a bit more subtle. I agree with him.

Updated mock here:


Private icon:
Hidden icon: